Bug 65576 - ark can't rename files in an archive
Summary: ark can't rename files in an archive
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 102 votes (vote)
Target Milestone: ---
Assignee: Elvis Angelaccio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-06 00:12 UTC by richard
Modified: 2016-09-09 13:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 16.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description richard 2003-10-06 00:12:10 UTC
Version:            (using KDE KDE 3.1.4)
Installed from:    Gentoo Packages
Compiler:          gcc 3.3 
OS:          Linux

Ark has no way to rename files inplace when creating an archive. IMO, this is essential functionality for any archiver.
Comment 1 Ivo Anjo 2006-02-11 21:22:43 UTC
*** This bug has been confirmed by popular vote. ***
Comment 2 Raphael Kubo da Costa 2010-12-08 02:14:24 UTC
Changing the default assignee for currently open Ark bug reports to me.
Comment 3 Kai Uwe Broulik 2010-12-08 14:41:24 UTC
I was wondering whether the zip (or tar) kioslave is able of renaming files.
Comment 4 Kai Uwe Broulik 2010-12-08 14:41:51 UTC
Okay, it is not.
Comment 5 Daniele Scasciafratte 2014-05-18 20:27:57 UTC
any news?
Comment 6 Elvis Angelaccio 2016-09-09 13:57:51 UTC
Git commit 4d0eaefcf59f7b191bf4a1f740817a8bee3c4395 by Elvis Angelaccio.
Committed on 09/09/2016 at 13:56.
Pushed by elvisangelaccio into branch 'master'.

Merge branch 'gsoc2016/master'

This commit merges the work done by Vladyslav Batyrenko during the Google
Summer of Code 2016 program.

Cut, copy, paste and rename functionalities are now implemented.
It is also possible to add new files to a specific folder in an archive.

More information about the project here: https://community.kde.org/GSoC/2016/StatusReports/Batyrenko_Vladyslav

CCMAIL: mvlabat@gmail.com

GUI:
Related: bug 181749, bug 234375
FIXED-IN: 16.12.0

Task: T917

M  +121  -41   kerfuffle/jobs.cpp

http://commits.kde.org/ark/4d0eaefcf59f7b191bf4a1f740817a8bee3c4395